Loading...
Searching...
No Matches
dia< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::dia< T, M >

Definition at line 74 of file dia.h.

Inheritance diagram for dia< T, M >:

## Public Types

typedef vec< T, M >::size_type | size_type
typedef vec< T, M >::iterator | iterator
typedef vec< T, M >::const_iterator | const_iterator
Public Types inherited from vec< T, M >
typedef disarray< T, M > | base
typedef T | value_type
typedef base::size_type | size_type
typedef std::ptrdiff_t | difference_type
typedef range | range_type
typedef base::reference | reference
typedef base::const_reference | const_reference
typedef base::iterator | iterator
typedef base::const_iterator | const_iterator
typedef float_traits< value_type >::type | float_type
Public Types inherited from disarray< T, M, A >
typedef M | memory_type
typedef disarray_rep< T, sequential, A > | rep
typedef rep::base::size_type | size_type
typedef rep::base::iterator | iterator
typedef rep::base::const_iterator | const_iterator

## Public Member Functions

| dia (const distributor &ownership=distributor(), const T &init_val=std::numeric_limits< T >::max())
| dia (const vec< T, M > &u)
| dia (const csr< T, M > &a)
dia< T, M > & | operator= (const T &lambda)
vec< T, M > | solve (const vec< T, M > &b) const
vec< T, M > | trans_solve (const vec< T, M > &b) const
Public Member Functions inherited from vec< T, M >
| vec (const vec< T, M > &)
vec< T, M > & | operator= (const vec< T, M > &x)
| vec (const distributor &ownership, const T &init_val=std::numeric_limits< T >::max())
| vec (const std::initializer_list< details::vec_concat_value< T, M > > &init_list)
vec< T, M > & | operator= (const std::initializer_list< details::vec_concat_value< T, M > > &init_list)
| vec (size_type dis_size=0, const T &init_val=std::numeric_limits< T >::max())
void | resize (const distributor &ownership, const T &init_val=std::numeric_limits< T >::max())
void | resize (size_type size=0, const T &init_val=std::numeric_limits< T >::max())
const_reference | operator[] (size_type i) const
reference | operator[] (size_type i)
T | min () const
T | max () const
T | max_abs () const
int | constraint_process_rank () const
| vec (const vec_range< T, M > &vr)
| vec (const vec_range_const< T, M > &vr)
vec< T, M > & | operator= (const vec_range< T, M > &vr)
vec< T, M > & | operator= (const vec_range_const< T, M > &vr)
vec_range_const< T, M > | operator[] (const range_type &r) const
vec_range< T, M > | operator[] (const range_type &r)
vec< T, M > & | operator= (const int &expr)
vec< T, M > & | operator= (const T &expr)
template<class Expr , class Sfinae = typename std::enable_if< details::is_vec_expr_v2_arg<Expr>::value && ! details::is_vec<Expr>::value >::type>
| vec (const Expr &expr)
template<class Expr , class Sfinae = typename std::enable_if< details::is_vec_expr_v2_arg<Expr>::value && ! details::is_vec<Expr>::value >::type>
vec< T, M > & | operator= (const Expr &expr)

## Member Typedef Documentation

## size_type

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::size_type size_type

Definition at line 79 of file dia.h.

## iterator

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::iterator iterator

Definition at line 80 of file dia.h.

## const_iterator

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::const_iterator const_iterator

Definition at line 81 of file dia.h.

## Constructor & Destructor Documentation

## dia() [1/3]

template<class T , class M >

dia | ( | const distributor & | ownership = `distributor()`,
|  | const T & | init_val = `std::numeric_limits<T>::max()`
| ) |  |

explicit

Definition at line 108 of file dia.h.

## dia() [2/3]

template<class T , class M >

dia | ( | const vec< T, M > & | u | ) |

explicit

Definition at line 114 of file dia.h.

## dia() [3/3]

template<class T , class M >

dia | ( | const csr< T, M > & | a | ) |

explicit

Definition at line 120 of file dia.h.

## Member Function Documentation

## operator=()

template<class T , class M >

dia< T, M > & operator= | ( | const T & | lambda | ) |

Definition at line 137 of file dia.h.

## solve()

template<class T , class M >

vec< T, M > solve | ( | const vec< T, M > & | b | ) | const

Definition at line 159 of file dia.h.

## trans_solve()

template<class T , class M >

vec< T, M > trans_solve | ( | const vec< T, M > & | b | ) | const

Definition at line 166 of file dia.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/dia.h